Bug 1191055 - RFE: option to let openssh/sftp force the exact permissions on newly uploaded files
Summary: RFE: option to let openssh/sftp force the exact permissions on newly uploaded...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openssh
Version: 6.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jakub Jelen
QA Contact: Stanislav Zidek
Eva Majorsinova
URL:
Whiteboard:
Depends On:
Blocks: 1197989 1245963
TreeView+ depends on / blocked
 
Reported: 2015-02-10 11:41 UTC by Michele Baldessari
Modified: 2019-07-11 08:38 UTC (History)
6 users (show)

Fixed In Version: openssh-5.3p1-106.el6
Doc Type: Enhancement
Doc Text:
openssh supports forcing exact permissions on uploaded files With this update, OpenSSH can force exact permissions on files that are newly uploaded using the Secure File Transfer Protocol (SFTP).
Clone Of:
: 1197989 1201759 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:47:02 UTC


Attachments (Terms of Use)
patch (2.80 KB, patch)
2015-02-10 11:41 UTC, Michele Baldessari
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1335 normal SHIPPED_LIVE openssh bug fix and enhancement update 2015-07-20 17:52:59 UTC

Description Michele Baldessari 2015-02-10 11:41:05 UTC
Created attachment 990048 [details]
patch

Description of problem:
Currently when setting up a shared sftp upload space between multiple users/logins, you can force a proper umask with the -u switch. This requires
that the file at the origin has wide-permissions to start with. In some
cases, users are not skilled enough to set the permissions to be correct (sigh).
While this could be solved via file/dir ACLs, it is also not entirely trivial
in most environments.

A simple solution would be to add a force_file_perm option to sftp
which could be used for this.

I shall attach a patch that was taken from https://bugzilla.mindrot.org/show_bug.cgi?id=1844 and massaged it for RHEL 6.7

I smoke-tested it and it works as expected. I.e. setting the following:
Match User testrpm
       ForceCommand internal-sftp -m 777

Gives all files created via sftp by user testrpm of 777

I chose the simplest one to cover this specific use case, but anything that
covers this, will do (i.e. we could expand it to cover folders as well, if
it makes sense)

I think what has been NACKed a long time ago via BZ 859238 was much bigger
in scope, hence this BZ

Comment 15 errata-xmlrpc 2015-07-22 06:47:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1335.html


Note You need to log in before you can comment on or make changes to this bug.